Debian Bug report logs - #430794
kimwitu-doc - FTBFS: sh: gs: command not found

version graph

Package: kimwitu-doc; Maintainer for kimwitu-doc is Michael Piefel <piefel@debian.org>; Source for kimwitu-doc is src:kimwitu-doc.

Reported by: Michael Ablassmeier <abi@grinser.de>

Date: Wed, 27 Jun 2007 11:42:09 UTC

Severity: serious

Tags: patch

Found in version kimwitu-doc/10a+1-2

Fixed in version kimwitu-doc/10a+1-2.1

Done: Amaya Rodrigo Sastre <amaya@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to Michael Piefel <piefel@debian.org>:
Bug#430794; Package kimwitu-doc. Full text and rfc822 format available.

Acknowledgement sent to Michael Ablassmeier <abi@grinser.de>:
New Bug report received and forwarded. Copy sent to Michael Piefel <piefel@debian.org>. Full text and rfc822 format available.

Message #5 received at maintonly@bugs.debian.org (full text, mbox):

From: Michael Ablassmeier <abi@grinser.de>
To: maintonly@bugs.debian.org
Subject: kimwitu-doc - FTBFS: sh: gs: command not found
Date: Wed, 27 Jun 2007 13:33:35 +0200
Package: kimwitu-doc
Version: 10a+1-2
Severity: serious
User: debian-qa@lists.debian.org
Usertags: qa-ftbfs

hi,

while doing an archive wide package rebuild your package failed to build from
source for the following reason:

 > /cm/cmss12.pfb></usr/share/texmf-texlive/fonts/type1/bluesky/cm/cmss8.pfb></usr
 > /share/texmf-texlive/fonts/type1/bluesky/cm/cmss9.pfb></usr/share/texmf-texlive
 > /fonts/type1/bluesky/cm/cmssi10.pfb></usr/share/texmf-texlive/fonts/type1/blues
 > ky/cm/cmssi9.pfb></usr/share/texmf-texlive/fonts/type1/bluesky/cm/cmsy10.pfb></
 > usr/share/texmf-texlive/fonts/type1/bluesky/cm/cmsy9.pfb></usr/share/texmf-texl
 > ive/fonts/type1/bluesky/cm/cmti10.pfb></usr/share/texmf-texlive/fonts/type1/blu
 > esky/cm/cmti12.pfb></usr/share/texmf-texlive/fonts/type1/bluesky/cm/cmti8.pfb><
 > /usr/share/texmf-texlive/fonts/type1/bluesky/cm/cmti9.pfb></usr/share/texmf-tex
 > live/fonts/type1/bluesky/cm/cmtt10.pfb></usr/share/texmf-texlive/fonts/type1/bl
 > uesky/cm/cmtt9.pfb>
 > Output written on tp.man.pdf (53 pages, 474390 bytes).
 > Transcript written on tp.man.log.
 > thumbpdf tp.man
 > defined(@array) is deprecated at /usr/bin/thumbpdf line 816.
 > 	(Maybe you should just omit the defined()?)
 > THUMBPDF 3.8, 2005/07/06 - Copyright (c) 1999-2005 by Heiko Oberdiek.
 > *** make png files / run Ghostscript ***
 > sh: gs: command not found
 > *** clear temp files ***
 > !!! Error: Closing Ghostscript (exit status: 127)!
 > make[1]: *** [tp.man.pdf] Error 127
 > make[1]: Leaving directory `/build/user/kimwitu-doc-10a+1'
 > make: *** [build-stamp] Error 2

The Full Build log is available and can be viewed at:

 http://people.debian.org/~lucas/logs/2007/06/25/
 
bye,
	- michael



Information forwarded to debian-bugs-dist@lists.debian.org, Michael Piefel <piefel@debian.org>:
Bug#430794; Package kimwitu-doc. Full text and rfc822 format available.

Acknowledgement sent to Cyril Brulebois <cyril.brulebois@enst-bretagne.fr>:
Extra info received and forwarded to list. Copy sent to Michael Piefel <piefel@debian.org>. Full text and rfc822 format available.

Message #10 received at 430794@bugs.debian.org (full text, mbox):

From: Cyril Brulebois <cyril.brulebois@enst-bretagne.fr>
To: Michael Ablassmeier <abi@grinser.de>, 430794@bugs.debian.org
Subject: Re: Bug#430794: kimwitu-doc - FTBFS: sh: gs: command not found
Date: Sat, 14 Jul 2007 18:54:56 +0200
[Message part 1 (text/plain, inline)]
Michael Ablassmeier <abi@grinser.de> (27/06/2007):
>  > thumbpdf tp.man
>  > defined(@array) is deprecated at /usr/bin/thumbpdf line 816.
>  > 	(Maybe you should just omit the defined()?)
>  > THUMBPDF 3.8, 2005/07/06 - Copyright (c) 1999-2005 by Heiko Oberdiek.
>  > *** make png files / run Ghostscript ***
>  > sh: gs: command not found
>  > *** clear temp files ***
>  > !!! Error: Closing Ghostscript (exit status: 127)!
>  > make[1]: *** [tp.man.pdf] Error 127
>  > make[1]: Leaving directory `/build/user/kimwitu-doc-10a+1'
>  > make: *** [build-stamp] Error 2

I'm having a look at thumbpdf, from the texlive-base-bin package, to see
whether I found the problem there.

Cheers,

-- 
Cyril Brulebois
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Michael Piefel <piefel@debian.org>:
Bug#430794; Package kimwitu-doc. Full text and rfc822 format available.

Acknowledgement sent to Cyril Brulebois <cyril.brulebois@enst-bretagne.fr>:
Extra info received and forwarded to list. Copy sent to Michael Piefel <piefel@debian.org>. Full text and rfc822 format available.

Message #15 received at 430794@bugs.debian.org (full text, mbox):

From: Cyril Brulebois <cyril.brulebois@enst-bretagne.fr>
To: Michael Ablassmeier <abi@grinser.de>, 430794@bugs.debian.org
Cc: control@bugs.debian.org, asac@debian.org
Subject: Re: Bug#430794: kimwitu-doc - FTBFS: sh: gs: command not found
Date: Sat, 14 Jul 2007 19:13:05 +0200
[Message part 1 (text/plain, inline)]
tag 430794 patch
thanks

Cyril Brulebois <cyril.brulebois@enst-bretagne.fr> (14/07/2007):
> I'm having a look at thumbpdf, from the texlive-base-bin package, to
> see whether I found the problem there.

OK, texlive-base-bin has only gs-gpl in Recommends, not in Depends, so
there's no ``gs'' alternative available here, and ``thumbpdf'' fails.
The obvious fix is to add it to the B-D of kimwitu-doc, but since the
maintainers of texlive-base-bin might want to be aware of such failure,
I'm Cc'ing them, in case they want to bump the Recommends to a Depends.

Cheers,

-- 
Cyril Brulebois

PS: And Cc'ing my AM for the RC bug handling.
[Message part 2 (application/pgp-signature, inline)]

Tags added: patch Request was from Cyril Brulebois <cyril.brulebois@enst-bretagne.fr> to control@bugs.debian.org. (Sat, 14 Jul 2007 17:21:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Michael Piefel <piefel@debian.org>:
Bug#430794; Package kimwitu-doc. Full text and rfc822 format available.

Acknowledgement sent to Amaya <amaya@debian.org>:
Extra info received and forwarded to list. Copy sent to Michael Piefel <piefel@debian.org>. Full text and rfc822 format available.

Message #22 received at 430794@bugs.debian.org (full text, mbox):

From: Amaya <amaya@debian.org>
To: 430794@bugs.debian.org, Michael Ablassmeier <abi@grinser.de>, Cyril Brulebois <cyril.brulebois@enst-bretagne.fr>
Subject: Any progress?
Date: Sat, 5 Apr 2008 18:06:09 +0200
This was tagged patch on July 2007.
Was there any progress since?

Thanks!

-- 
  ·''`.               Fuck your fascist beauty standards
 : :' :
 `. `' 
   `-        Proudly running (unstable) Debian GNU/Linux




Information forwarded to debian-bugs-dist@lists.debian.org, Michael Piefel <piefel@debian.org>:
Bug#430794; Package kimwitu-doc. Full text and rfc822 format available.

Acknowledgement sent to Amaya <amaya@debian.org>:
Extra info received and forwarded to list. Copy sent to Michael Piefel <piefel@debian.org>. Full text and rfc822 format available.

Message #27 received at 430794@bugs.debian.org (full text, mbox):

From: Amaya <amaya@debian.org>
To: 430794@bugs.debian.org
Subject: kimwitu-doc: diff for NMU version 10a+1-2.1
Date: Mon, 7 Apr 2008 16:05:24 +0200
[Message part 1 (text/plain, inline)]
tags 430794 + patch
tags 430794 + pending
thanks

Hi,

Attached is the diff for my kimwitu-doc 10a+1-2.1 NMU.
By just build-depending on ghsotscript this FTBFS goes away.

I know ghostscript is broken atm, but that will eventually change at
some point.

I will upload to DELAYED/7, please give some input on this.

-- 
  ·''`.               Fuck your fascist beauty standards
 : :' :
 `. `' 
   `-        Proudly running (unstable) Debian GNU/Linux
[kimwitu-doc-10a+1-2.1-nmu.diff (text/x-diff, attachment)]

Tags added: patch Request was from Amaya <amaya@debian.org> to control@bugs.debian.org. (Mon, 07 Apr 2008 14:06:06 GMT) Full text and rfc822 format available.

Tags added: pending Request was from Amaya <amaya@debian.org> to control@bugs.debian.org. (Mon, 07 Apr 2008 14:06:06 GMT) Full text and rfc822 format available.

Reply sent to Amaya Rodrigo Sastre <amaya@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Michael Ablassmeier <abi@grinser.de>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #36 received at 430794-close@bugs.debian.org (full text, mbox):

From: Amaya Rodrigo Sastre <amaya@debian.org>
To: 430794-close@bugs.debian.org
Subject: Bug#430794: fixed in kimwitu-doc 10a+1-2.1
Date: Sun, 13 Apr 2008 20:47:25 +0000
Source: kimwitu-doc
Source-Version: 10a+1-2.1

We believe that the bug you reported is fixed in the latest version of
kimwitu-doc, which is due to be installed in the Debian FTP archive:

kimwitu-doc_10a+1-2.1.diff.gz
  to pool/main/k/kimwitu-doc/kimwitu-doc_10a+1-2.1.diff.gz
kimwitu-doc_10a+1-2.1.dsc
  to pool/main/k/kimwitu-doc/kimwitu-doc_10a+1-2.1.dsc
kimwitu-doc_10a+1-2.1_all.deb
  to pool/main/k/kimwitu-doc/kimwitu-doc_10a+1-2.1_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 430794@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Amaya Rodrigo Sastre <amaya@debian.org> (supplier of updated kimwitu-doc package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Mon, 07 Apr 2008 13:52:17 +0200
Source: kimwitu-doc
Binary: kimwitu-doc
Architecture: source all
Version: 10a+1-2.1
Distribution: unstable
Urgency: high
Maintainer: Amaya Rodrigo Sastre <amaya@debian.org>
Changed-By: Amaya Rodrigo Sastre <amaya@debian.org>
Description: 
 kimwitu-doc - Documentation for compiler development tool kimwitu
Closes: 430794
Changes: 
 kimwitu-doc (10a+1-2.1) unstable; urgency=high
 .
   * Non-maintainer upload.
   * Build-Depend on ghoscript (Closes: #430794).
Files: 
 2ac07c2117f95e19298002b89d2a94a4 670 doc optional kimwitu-doc_10a+1-2.1.dsc
 a7c81172024fb08e1a1c2d2a28a96226 4039 doc optional kimwitu-doc_10a+1-2.1.diff.gz
 773a71949ba1a974a7e2660bbb1da8dc 561696 doc optional kimwitu-doc_10a+1-2.1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iEYEARECAAYFAkf6ML4ACgkQNFDtUT/MKpBHGQCff58bxZL27mL4UPemNAmOe8t6
X7EAoNbONmWmJVxgXZf2a52P91GewJDp
=WuUa
-----END PGP SIGNATURE-----





Information forwarded to debian-bugs-dist@lists.debian.org, Michael Piefel <piefel@debian.org>:
Bug#430794; Package kimwitu-doc. Full text and rfc822 format available.

Acknowledgement sent to "Michael Piefel" <piefel@debian.org>:
Extra info received and forwarded to list. Copy sent to Michael Piefel <piefel@debian.org>. Full text and rfc822 format available.

Message #41 received at 430794@bugs.debian.org (full text, mbox):

From: "Michael Piefel" <piefel@debian.org>
To: Amaya <amaya@debian.org>, 430794@bugs.debian.org
Subject: Re: Bug#430794: kimwitu-doc: diff for NMU version 10a+1-2.1
Date: Mon, 14 Apr 2008 20:21:33 +0200
I think it's stupid to change a completely built package to fix an
obscure build bug. Really, what's the point. Conformance to the policy
for conformance's sake. The users will have to install an updated
package with not a single bit changed.

Bye,
  Mike

-- 
From the Social Contract: "Our priorities are our users and free software…"

Information forwarded to debian-bugs-dist@lists.debian.org, Michael Piefel <piefel@debian.org>:
Bug#430794; Package kimwitu-doc. Full text and rfc822 format available.

Acknowledgement sent to Amaya <amaya@debian.org>:
Extra info received and forwarded to list. Copy sent to Michael Piefel <piefel@debian.org>. Full text and rfc822 format available.

Message #46 received at 430794@bugs.debian.org (full text, mbox):

From: Amaya <amaya@debian.org>
To: Michael Piefel <piefel@debian.org>
Cc: 430794@bugs.debian.org
Subject: Re: Bug#430794: kimwitu-doc: diff for NMU version 10a+1-2.1
Date: Tue, 15 Apr 2008 13:48:25 +0200
Michael Piefel wrote:
> I think it's stupid to change a completely built package to fix an
> obscure build bug. Really, what's the point. Conformance to the policy
> for conformance's sake. The users will have to install an updated
> package with not a single bit changed.

I am very sorry that you think fixing this was not needed. I dare to
disagree, as I expect those users to be able to build from source
packages. 

In any case, you had a week to react to my NMU and I would have been
easily convinced to abort it had you stated your opinion on this. 

Your work in Debian is appreciated.

-- 
  ·''`.  Come, let me sing into your ear, those dancing days are gone 
 : :' :     I carry the sun in a golden cup, the moon in a silver bag
 `. `' 
   `- Proudly running Debian GNU/Linux...............................




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 14 May 2008 07:47:45 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 11:34:14 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.